Lists intents
Returns the client's intents, paginated and optionally filtered.
Authorization
authorization AuthorizationBearer <token>
In: header
Query Parameters
page_number?integer
Number of the page
Default
1Range
1 <= valueExample
1page_size?integer
Amount of registers that must be listed by page
Default
10Range
10 <= value <= 500Example
10external_id?string
Filter by tenant-side identifier.
Length
1 <= length <= 255Example
"string"template_id?string
Filter by parent template.
Match
^[A-Za-z]{2,7}_[\w-]{22}$Example
"cpitpl_5tgliBmzjZ6mpQPRbQjfKj"subaccount_id?string
Filter by subaccount that owns the intent.
Match
^[A-Za-z]{2,7}_[\w-]{22}$Example
"lacc_5tgliBmzjZ6mpQPRbQjfKj"method?string
Filter by payment method.
Value in
"co_breb"Example
"co_breb"state?string
Filter by intent state. Omitted means all states.
Value in
"created" | "ready_to_pay" | "awaiting_payment" | "successful" | "failed" | "expired"Example
"created"expires_at?object
Filter by expiration timestamp range.
sort?object
Sorts the intents according to the given type and field.
Default
{"field":"inserted_at","type":"desc"}Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.sandbox.cuentamono.com/v1/core/payins/intents"{
"intents": [
{
"method_params": {
"create_qr": false,
"custom_key_value": "string",
"qr_code_data": {
"merchant_category_code": "5411",
"receiver_city": "Bogota",
"receiver_postal_code": "110111"
},
"required_tokens": [
"qr"
]
},
"payment_tokens": {
"key_type": "alphanumeric",
"key_value": "@MN1A2B3C4D5E",
"qr": {
"amount": {
"amount": 100000000,
"currency": "COP"
},
"emvco": "00020101021226440014CO.COM.CRB.RED0122CO.COM.CRB.TRXIDP123456752045411530317054061000005802CO5910Acme Store6006Bogota6304A1B2",
"error_correction_level": "medium",
"expires_at": "2022-01-01T01:00:00Z",
"image": "iVBORw0KGgoAAAANSUhEUgAABAAAAAQACAYAAAB...",
"image_width": 512,
"payment_id": "CO.COM.CRB.TRXIDP1234567891234",
"usage_mode": "multiple_use"
},
"qr_error": null
},
"calculated_fees": {
"payin": {
"amount": {
"amount": 100000000,
"currency": "COP"
},
"id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
},
"payin_payer_spread": {
"amount": {
"amount": 100000000,
"currency": "COP"
},
"id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
},
"payin_subaccount_spread": {
"amount": {
"amount": 100000000,
"currency": "COP"
},
"id": "fee_5tgliBmzjZ6mpQPRbQjfKj"
}
},
"custom_merchant_name": "string",
"expected_payers": [
{
"document_number": "1023711432",
"document_type": "CC",
"kind": "co_person_document"
}
],
"expires_at": "2022-01-01T01:00:00Z",
"external_id": "string",
"id": "cpint_5tgliBmzjZ6mpQPRbQjfKj",
"inserted_at": "2022-01-01T01:00:00Z",
"merchant_amount": {
"amount": 100000000,
"currency": "COP"
},
"method": "co_breb",
"payer_amount": {
"amount": 100000000,
"currency": "COP"
},
"payin_data": {
"fee_override": [
{
"fixed": {
"amount": 100000000,
"currency": "COP"
},
"percentage": "0.05",
"tx_description": "Collection service fee",
"type": "payin"
}
],
"metadata": {
"id": 3,
"reference": 123
},
"redirect_url": "https://merchant.example.com/checkout/return",
"subaccount_disbursement_trigger": "on_approval"
},
"prune_reason": null,
"prune_state": "pruning",
"pruned_at": "2022-01-01T01:00:00Z",
"state": "created",
"state_reason": "unknown",
"subaccount_id": "lacc_5tgliBmzjZ6mpQPRbQjfKj",
"template_id": "cpitpl_5tgliBmzjZ6mpQPRbQjfKj",
"updated_at": "2022-01-01T01:00:00Z",
"url": "https://www.mono.la/"
}
],
"pagination": {
"page_number": 1,
"page_size": 10,
"total_items": 100,
"total_pages": 10
}
}{
"code": "401 Unauthorized",
"errors": [
{
"error_code": "missing_authorization_header",
"message": "`Authorization` header is missing.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Authorization header is missing or invalid."
}{
"code": "403 Forbidden",
"errors": [
{
"error_code": "not_authorized",
"message": "Not authorized to have access to this resource.",
"path": null,
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Not authorized to have access to this resource"
}{
"code": "422 Unprocessable Content",
"errors": [
{
"error_code": "invalid_enum",
"message": "The field contains an invalid value.",
"path": "#/path/to/field",
"url": null
}
],
"id": "log_7MkWaFqvfosB8fzHhb1Eql",
"message": "Validation errors"
}